curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/fields/{fieldId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": {
"type": "company",
"data": {
"id": 1
}
}
}
'
{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Lists
Update a single field value on a List Entry
Update a single field value.
Requires the “Export data from Lists” permission.
POST
/
v2
/
lists
/
{listId}
/
list-entries
/
{listEntryId}
/
fields
/
{fieldId}
curl --request POST \
--url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/fields/{fieldId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": {
"type": "company",
"data": {
"id": 1
}
}
}
'
{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authorization",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
List ID
Required range:
1 <= x <= 9007199254740991List Entry ID
Required range:
1 <= x <= 9007199254740991Field ID
Body
application/json
- CompaniesValueUpdate
- CompanyValueUpdate
- DateValue
- DropdownValueUpdate
- DropdownsValueUpdate
- FloatValue
- FloatsValue
- LocationValue
- LocationsValue
- PersonValueUpdate
- PersonsValueUpdate
- RankedDropdownValueUpdate
- TextValue
- TextsValue
Show child attributes
Show child attributes
Example:
{ "type": "company-multi", "data": [{ "id": 1 }, { "id": 2 }] }
Response
No Content
Was this page helpful?